﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;
using System.Threading.Tasks;

namespace issueTesting
{
	public partial class issueTestingPage : ContentPage
	{
		ViewModel vm;


		void Handle_Clicked(object sender, System.EventArgs e)
		{
			

			Device.BeginInvokeOnMainThread(() => 
			{ 
				vm.Events.Clear();
				CalendarEventCollection list = new CalendarEventCollection();
				vm.Events.Add(new CalendarInlineEvent() { StartTime = new DateTime(2016, 12, 1, 16, 15, 0), EndTime = new DateTime(2016, 12, 1, 18, 0, 0), Subject = "MS Conference" });
				vm.Events.Add(new CalendarInlineEvent() { StartTime = new DateTime(2016, 12, 1, 18, 15, 0), EndTime = new DateTime(2016, 12, 1, 20, 0, 0), Subject = "Client Meeting" });
				vm.Events.Add(new CalendarInlineEvent() { StartTime = new DateTime(2016, 12, 2, 12, 0, 0), EndTime = new DateTime(2016, 12, 2, 14, 0, 0), Subject = "Birthday Party" });
				vm.Events.Add(new CalendarInlineEvent() { StartTime = new DateTime(2016, 12, 3, 12, 0, 0), EndTime = new DateTime(2016, 12, 3, 14, 0, 0), Subject = "Client Meeting" });
				vm.Events.Add(new CalendarInlineEvent() { StartTime = new DateTime(2016, 12, 4, 12, 0, 0), EndTime = new DateTime(2016, 12, 4, 14, 0, 0), Subject = "Calendar Demo" });
				vm.Events.Add(new CalendarInlineEvent() { StartTime = new DateTime(2016, 12, 5, 12, 0, 0), EndTime = new DateTime(2016, 12, 5, 14, 0, 0), Subject = "Review Meeting" });

			});
		
            
		}





		public issueTestingPage()
		{
			InitializeComponent();
			vm = new ViewModel();
            vm.selectedItem = DateTime.Now;
			vm.Events.Add(new CalendarInlineEvent() {StartTime= new DateTime(2016, 12, 1, 12, 0, 0) ,EndTime=new DateTime(2016, 12, 1, 14, 0, 0) ,Subject = "Go to Meeting"});
			vm.Events.Add(new CalendarInlineEvent() { StartTime = new DateTime(2016, 12, 1, 14, 15, 0), EndTime = new DateTime(2016, 12, 1, 16, 0, 0), Subject = "CEO Meeting" });
			calendar.BindingContext = vm;

		}


	

	}

}
